diff --git a/sysutils/khelpcenter/pkg-plist b/sysutils/khelpcenter/pkg-plist
index f42820d969a0..818d804189c9 100644
--- a/sysutils/khelpcenter/pkg-plist
+++ b/sysutils/khelpcenter/pkg-plist
@@ -1,11 +1,10 @@
 bin/khelpcenter
-lib/libexec/khc_mansearch.pl
+lib/libexec/khc_mansearch.py
 lib/libexec/khc_xapianindexer
 lib/libexec/khc_xapiansearch
 share/applications/org.kde.khelpcenter.desktop
 share/config.kcfg/khelpcenter.kcfg
 share/dbus-1/services/org.kde.khelpcenter.service
-share/kde4/services/khelpcenter.desktop
 %%DATADIR%%/glossary.xslt
 %%DATADIR%%/plugins/Applications/.directory
 %%DATADIR%%/plugins/Manpages/.directory
@@ -31,96 +30,96 @@ share/kde4/services/khelpcenter.desktop
 %%DATADIR%%/templates/glossary.html
 %%DATADIR%%/templates/index.html
 %%DATADIR%%/templates/search.html
-share/kservices5/khelpcenter.desktop
-share/locale/af/LC_MESSAGES/khelpcenter5.mo
-share/locale/ar/LC_MESSAGES/khelpcenter5.mo
-share/locale/be/LC_MESSAGES/khelpcenter5.mo
-share/locale/be@latin/LC_MESSAGES/khelpcenter5.mo
-share/locale/bg/LC_MESSAGES/khelpcenter5.mo
-share/locale/bn/LC_MESSAGES/khelpcenter5.mo
-share/locale/bn_IN/LC_MESSAGES/khelpcenter5.mo
-share/locale/br/LC_MESSAGES/khelpcenter5.mo
-share/locale/bs/LC_MESSAGES/khelpcenter5.mo
-share/locale/ca/LC_MESSAGES/khelpcenter5.mo
-share/locale/ca@valencia/LC_MESSAGES/khelpcenter5.mo
-share/locale/cs/LC_MESSAGES/khelpcenter5.mo
-share/locale/csb/LC_MESSAGES/khelpcenter5.mo
-share/locale/cy/LC_MESSAGES/khelpcenter5.mo
-share/locale/da/LC_MESSAGES/khelpcenter5.mo
-share/locale/de/LC_MESSAGES/khelpcenter5.mo
-share/locale/el/LC_MESSAGES/khelpcenter5.mo
-share/locale/en_GB/LC_MESSAGES/khelpcenter5.mo
-share/locale/eo/LC_MESSAGES/khelpcenter5.mo
-share/locale/es/LC_MESSAGES/khelpcenter5.mo
-share/locale/et/LC_MESSAGES/khelpcenter5.mo
-share/locale/eu/LC_MESSAGES/khelpcenter5.mo
-share/locale/fa/LC_MESSAGES/khelpcenter5.mo
-share/locale/fi/LC_MESSAGES/khelpcenter5.mo
-share/locale/fr/LC_MESSAGES/khelpcenter5.mo
-share/locale/fy/LC_MESSAGES/khelpcenter5.mo
-share/locale/ga/LC_MESSAGES/khelpcenter5.mo
-share/locale/gl/LC_MESSAGES/khelpcenter5.mo
-share/locale/gu/LC_MESSAGES/khelpcenter5.mo
-share/locale/he/LC_MESSAGES/khelpcenter5.mo
-share/locale/hi/LC_MESSAGES/khelpcenter5.mo
-share/locale/hne/LC_MESSAGES/khelpcenter5.mo
-share/locale/hr/LC_MESSAGES/khelpcenter5.mo
-share/locale/hsb/LC_MESSAGES/khelpcenter5.mo
-share/locale/hu/LC_MESSAGES/khelpcenter5.mo
-share/locale/ia/LC_MESSAGES/khelpcenter5.mo
-share/locale/id/LC_MESSAGES/khelpcenter5.mo
-share/locale/is/LC_MESSAGES/khelpcenter5.mo
-share/locale/it/LC_MESSAGES/khelpcenter5.mo
-share/locale/ja/LC_MESSAGES/khelpcenter5.mo
-share/locale/ka/LC_MESSAGES/khelpcenter5.mo
-share/locale/kk/LC_MESSAGES/khelpcenter5.mo
-share/locale/km/LC_MESSAGES/khelpcenter5.mo
-share/locale/kn/LC_MESSAGES/khelpcenter5.mo
-share/locale/ko/LC_MESSAGES/khelpcenter5.mo
-share/locale/ku/LC_MESSAGES/khelpcenter5.mo
-share/locale/lt/LC_MESSAGES/khelpcenter5.mo
-share/locale/lv/LC_MESSAGES/khelpcenter5.mo
-share/locale/mai/LC_MESSAGES/khelpcenter5.mo
-share/locale/mk/LC_MESSAGES/khelpcenter5.mo
-share/locale/ml/LC_MESSAGES/khelpcenter5.mo
-share/locale/mr/LC_MESSAGES/khelpcenter5.mo
-share/locale/ms/LC_MESSAGES/khelpcenter5.mo
-share/locale/nb/LC_MESSAGES/khelpcenter5.mo
-share/locale/nds/LC_MESSAGES/khelpcenter5.mo
-share/locale/ne/LC_MESSAGES/khelpcenter5.mo
-share/locale/nl/LC_MESSAGES/khelpcenter5.mo
-share/locale/nn/LC_MESSAGES/khelpcenter5.mo
-share/locale/oc/LC_MESSAGES/khelpcenter5.mo
-share/locale/or/LC_MESSAGES/khelpcenter5.mo
-share/locale/pa/LC_MESSAGES/khelpcenter5.mo
-share/locale/pl/LC_MESSAGES/khelpcenter5.mo
-share/locale/pt/LC_MESSAGES/khelpcenter5.mo
-share/locale/pt_BR/LC_MESSAGES/khelpcenter5.mo
-share/locale/ro/LC_MESSAGES/khelpcenter5.mo
-share/locale/ru/LC_MESSAGES/khelpcenter5.mo
-share/locale/se/LC_MESSAGES/khelpcenter5.mo
-share/locale/si/LC_MESSAGES/khelpcenter5.mo
-share/locale/sk/LC_MESSAGES/khelpcenter5.mo
-share/locale/sl/LC_MESSAGES/khelpcenter5.mo
-share/locale/sq/LC_MESSAGES/khelpcenter5.mo
-share/locale/sr/LC_MESSAGES/khelpcenter5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/khelpcenter5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/khelpcenter5.mo
-share/locale/sr@latin/LC_MESSAGES/khelpcenter5.mo
-share/locale/sv/LC_MESSAGES/khelpcenter5.mo
-share/locale/ta/LC_MESSAGES/khelpcenter5.mo
-share/locale/te/LC_MESSAGES/khelpcenter5.mo
-share/locale/tg/LC_MESSAGES/khelpcenter5.mo
-share/locale/th/LC_MESSAGES/khelpcenter5.mo
-share/locale/tr/LC_MESSAGES/khelpcenter5.mo
-share/locale/ug/LC_MESSAGES/khelpcenter5.mo
-share/locale/uk/LC_MESSAGES/khelpcenter5.mo
-share/locale/uz/LC_MESSAGES/khelpcenter5.mo
-share/locale/uz@cyrillic/LC_MESSAGES/khelpcenter5.mo
-share/locale/vi/LC_MESSAGES/khelpcenter5.mo
-share/locale/wa/LC_MESSAGES/khelpcenter5.mo
-share/locale/xh/LC_MESSAGES/khelpcenter5.mo
-share/locale/zh_CN/LC_MESSAGES/khelpcenter5.mo
-share/locale/zh_TW/LC_MESSAGES/khelpcenter5.mo
+share/locale/af/LC_MESSAGES/khelpcenter6.mo
+share/locale/ar/LC_MESSAGES/khelpcenter6.mo
+share/locale/ast/LC_MESSAGES/khelpcenter6.mo
+share/locale/be/LC_MESSAGES/khelpcenter6.mo
+share/locale/be@latin/LC_MESSAGES/khelpcenter6.mo
+share/locale/bg/LC_MESSAGES/khelpcenter6.mo
+share/locale/bn/LC_MESSAGES/khelpcenter6.mo
+share/locale/bn_IN/LC_MESSAGES/khelpcenter6.mo
+share/locale/br/LC_MESSAGES/khelpcenter6.mo
+share/locale/bs/LC_MESSAGES/khelpcenter6.mo
+share/locale/ca/LC_MESSAGES/khelpcenter6.mo
+share/locale/ca@valencia/LC_MESSAGES/khelpcenter6.mo
+share/locale/cs/LC_MESSAGES/khelpcenter6.mo
+share/locale/csb/LC_MESSAGES/khelpcenter6.mo
+share/locale/cy/LC_MESSAGES/khelpcenter6.mo
+share/locale/da/LC_MESSAGES/khelpcenter6.mo
+share/locale/de/LC_MESSAGES/khelpcenter6.mo
+share/locale/el/LC_MESSAGES/khelpcenter6.mo
+share/locale/en_GB/LC_MESSAGES/khelpcenter6.mo
+share/locale/eo/LC_MESSAGES/khelpcenter6.mo
+share/locale/es/LC_MESSAGES/khelpcenter6.mo
+share/locale/et/LC_MESSAGES/khelpcenter6.mo
+share/locale/eu/LC_MESSAGES/khelpcenter6.mo
+share/locale/fa/LC_MESSAGES/khelpcenter6.mo
+share/locale/fi/LC_MESSAGES/khelpcenter6.mo
+share/locale/fr/LC_MESSAGES/khelpcenter6.mo
+share/locale/fy/LC_MESSAGES/khelpcenter6.mo
+share/locale/ga/LC_MESSAGES/khelpcenter6.mo
+share/locale/gl/LC_MESSAGES/khelpcenter6.mo
+share/locale/gu/LC_MESSAGES/khelpcenter6.mo
+share/locale/he/LC_MESSAGES/khelpcenter6.mo
+share/locale/hi/LC_MESSAGES/khelpcenter6.mo
+share/locale/hne/LC_MESSAGES/khelpcenter6.mo
+share/locale/hr/LC_MESSAGES/khelpcenter6.mo
+share/locale/hsb/LC_MESSAGES/khelpcenter6.mo
+share/locale/hu/LC_MESSAGES/khelpcenter6.mo
+share/locale/ia/LC_MESSAGES/khelpcenter6.mo
+share/locale/id/LC_MESSAGES/khelpcenter6.mo
+share/locale/is/LC_MESSAGES/khelpcenter6.mo
+share/locale/it/LC_MESSAGES/khelpcenter6.mo
+share/locale/ja/LC_MESSAGES/khelpcenter6.mo
+share/locale/ka/LC_MESSAGES/khelpcenter6.mo
+share/locale/kk/LC_MESSAGES/khelpcenter6.mo
+share/locale/km/LC_MESSAGES/khelpcenter6.mo
+share/locale/kn/LC_MESSAGES/khelpcenter6.mo
+share/locale/ko/LC_MESSAGES/khelpcenter6.mo
+share/locale/ku/LC_MESSAGES/khelpcenter6.mo
+share/locale/lt/LC_MESSAGES/khelpcenter6.mo
+share/locale/lv/LC_MESSAGES/khelpcenter6.mo
+share/locale/mai/LC_MESSAGES/khelpcenter6.mo
+share/locale/mk/LC_MESSAGES/khelpcenter6.mo
+share/locale/ml/LC_MESSAGES/khelpcenter6.mo
+share/locale/mr/LC_MESSAGES/khelpcenter6.mo
+share/locale/ms/LC_MESSAGES/khelpcenter6.mo
+share/locale/nb/LC_MESSAGES/khelpcenter6.mo
+share/locale/nds/LC_MESSAGES/khelpcenter6.mo
+share/locale/ne/LC_MESSAGES/khelpcenter6.mo
+share/locale/nl/LC_MESSAGES/khelpcenter6.mo
+share/locale/nn/LC_MESSAGES/khelpcenter6.mo
+share/locale/oc/LC_MESSAGES/khelpcenter6.mo
+share/locale/or/LC_MESSAGES/khelpcenter6.mo
+share/locale/pa/LC_MESSAGES/khelpcenter6.mo
+share/locale/pl/LC_MESSAGES/khelpcenter6.mo
+share/locale/pt/LC_MESSAGES/khelpcenter6.mo
+share/locale/pt_BR/LC_MESSAGES/khelpcenter6.mo
+share/locale/ro/LC_MESSAGES/khelpcenter6.mo
+share/locale/ru/LC_MESSAGES/khelpcenter6.mo
+share/locale/se/LC_MESSAGES/khelpcenter6.mo
+share/locale/si/LC_MESSAGES/khelpcenter6.mo
+share/locale/sk/LC_MESSAGES/khelpcenter6.mo
+share/locale/sl/LC_MESSAGES/khelpcenter6.mo
+share/locale/sq/LC_MESSAGES/khelpcenter6.mo
+share/locale/sr/LC_MESSAGES/khelpcenter6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/khelpcenter6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/khelpcenter6.mo
+share/locale/sr@latin/LC_MESSAGES/khelpcenter6.mo
+share/locale/sv/LC_MESSAGES/khelpcenter6.mo
+share/locale/ta/LC_MESSAGES/khelpcenter6.mo
+share/locale/te/LC_MESSAGES/khelpcenter6.mo
+share/locale/tg/LC_MESSAGES/khelpcenter6.mo
+share/locale/th/LC_MESSAGES/khelpcenter6.mo
+share/locale/tr/LC_MESSAGES/khelpcenter6.mo
+share/locale/ug/LC_MESSAGES/khelpcenter6.mo
+share/locale/uk/LC_MESSAGES/khelpcenter6.mo
+share/locale/uz/LC_MESSAGES/khelpcenter6.mo
+share/locale/uz@cyrillic/LC_MESSAGES/khelpcenter6.mo
+share/locale/vi/LC_MESSAGES/khelpcenter6.mo
+share/locale/wa/LC_MESSAGES/khelpcenter6.mo
+share/locale/xh/LC_MESSAGES/khelpcenter6.mo
+share/locale/zh_CN/LC_MESSAGES/khelpcenter6.mo
+share/locale/zh_TW/LC_MESSAGES/khelpcenter6.mo
 share/metainfo/org.kde.khelpcenter.metainfo.xml
-share/qlogging-categories5/khelpcenter.categories
+share/qlogging-categories6/khelpcenter.categories
diff --git a/sysutils/kpmcore/Makefile b/sysutils/kpmcore/Makefile
index 500b7537c22f..52f799869463 100644
--- a/sysutils/kpmcore/Makefile
+++ b/sysutils/kpmcore/Makefile
@@ -1,18 +1,16 @@
 PORTNAME=	kpmcore
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-CATEGORIES=	sysutils kde-applications
+CATEGORIES=	sysutils kde kde-applications
 
 MAINTAINER=	adridg@FreeBSD.org
 COMMENT=	KDE Partition Manager core library
 WWW=		https://invent.kde.org/system/kpmcore
 
-LIB_DEPENDS=	libpolkit-qt5-core-1.so:sysutils/polkit-qt-1@qt5
+LIB_DEPENDS=	libpolkit-qt6-agent-1.so:sysutils/polkit-qt-1@qt6
 
-USES=		cmake compiler:c++17-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++17-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth coreaddons i18n widgetsaddons \
 		ecm:build
-USE_QT=		concurrent core dbus declarative \
-		gui widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 
 .include <bsd.port.mk>
diff --git a/sysutils/kpmcore/distinfo b/sysutils/kpmcore/distinfo
index 698cbcb35225..2880f6b85543 100644
--- a/sysutils/kpmcore/distinfo
+++ b/sysutils/kpmcore/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889350
-SHA256 (KDE/release-service/23.08.5/kpmcore-23.08.5.tar.xz) = b44a40712de593ddfe4cc5799912eb53f9c3e383544306a17279f051de85417a
-SIZE (KDE/release-service/23.08.5/kpmcore-23.08.5.tar.xz) = 630396
+TIMESTAMP = 1734460374
+SHA256 (KDE/release-service/24.12.0/kpmcore-24.12.0.tar.xz) = cfcc265902680f15031e966f86d5d2a4e7ca124abcbb4428199422ab205461eb
+SIZE (KDE/release-service/24.12.0/kpmcore-24.12.0.tar.xz) = 646316
diff --git a/sysutils/kpmcore/pkg-plist b/sysutils/kpmcore/pkg-plist
index 760020683b42..f9a52610176c 100644
--- a/sysutils/kpmcore/pkg-plist
+++ b/sysutils/kpmcore/pkg-plist
@@ -91,6 +91,8 @@ lib/libkpmcore.so.%%KDE_APPLICATIONS_VERSION%%
 share/dbus-1/system-services/org.kde.kpmcore.helperinterface.service
 share/dbus-1/system.d/org.kde.kpmcore.helperinterface.conf
 share/locale/ar/LC_MESSAGES/kpmcore.mo
+share/locale/ast/LC_MESSAGES/kpmcore._policy_.mo
+share/locale/ast/LC_MESSAGES/kpmcore.mo
 share/locale/bg/LC_MESSAGES/kpmcore._policy_.mo
 share/locale/bg/LC_MESSAGES/kpmcore.mo
 share/locale/bs/LC_MESSAGES/kpmcore.mo
@@ -123,9 +125,13 @@ share/locale/fr/LC_MESSAGES/kpmcore.mo
 share/locale/ga/LC_MESSAGES/kpmcore.mo
 share/locale/gl/LC_MESSAGES/kpmcore._policy_.mo
 share/locale/gl/LC_MESSAGES/kpmcore.mo
+share/locale/he/LC_MESSAGES/kpmcore._policy_.mo
+share/locale/he/LC_MESSAGES/kpmcore.mo
 share/locale/hr/LC_MESSAGES/kpmcore.mo
 share/locale/hu/LC_MESSAGES/kpmcore._policy_.mo
 share/locale/hu/LC_MESSAGES/kpmcore.mo
+share/locale/ia/LC_MESSAGES/kpmcore._policy_.mo
+share/locale/ia/LC_MESSAGES/kpmcore.mo
 share/locale/id/LC_MESSAGES/kpmcore.mo
 share/locale/is/LC_MESSAGES/kpmcore.mo
 share/locale/it/LC_MESSAGES/kpmcore._policy_.mo
diff --git a/sysutils/ksystemlog/Makefile b/sysutils/ksystemlog/Makefile
index b8d346f4ba4e..31ceb84d3aec 100644
--- a/sysutils/ksystemlog/Makefile
+++ b/sysutils/ksystemlog/Makefile
@@ -6,14 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE system log application
 WWW=		https://kde.org/applications/system/ksystemlog/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 pkgconfig \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
-		doctools i18n iconthemes itemviews jobwidgets kio \
-		service solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		doctools i18n iconthemes itemviews jobwidgets kio service \
+		solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/sysutils/ksystemlog/distinfo b/sysutils/ksystemlog/distinfo
index a7d1efcf8f0f..c46d0be3efdb 100644
--- a/sysutils/ksystemlog/distinfo
+++ b/sysutils/ksystemlog/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889347
-SHA256 (KDE/release-service/23.08.5/ksystemlog-23.08.5.tar.xz) = 80e6036510a76f7521cd01cebe67e4b7d7f7d251c18b2c388cfabcf28635c356
-SIZE (KDE/release-service/23.08.5/ksystemlog-23.08.5.tar.xz) = 2014948
+TIMESTAMP = 1734460376
+SHA256 (KDE/release-service/24.12.0/ksystemlog-24.12.0.tar.xz) = 1b31eefb4c76a892d9a6c0a52490b3e9d42cce00040d3ea533a890f2fbf3983a
+SIZE (KDE/release-service/24.12.0/ksystemlog-24.12.0.tar.xz) = 1858392
diff --git a/sysutils/ksystemlog/pkg-plist b/sysutils/ksystemlog/pkg-plist
index f183aab35d26..ef212e17157b 100644
--- a/sysutils/ksystemlog/pkg-plist
+++ b/sysutils/ksystemlog/pkg-plist
@@ -1,7 +1,7 @@
 bin/ksystemlog
 share/applications/org.kde.ksystemlog.desktop
-share/kxmlgui5/ksystemlog/ksystemlogui.rc
 share/locale/ar/LC_MESSAGES/ksystemlog.mo
+share/locale/ast/LC_MESSAGES/ksystemlog.mo
 share/locale/az/LC_MESSAGES/ksystemlog.mo
 share/locale/be/LC_MESSAGES/ksystemlog.mo
 share/locale/bg/LC_MESSAGES/ksystemlog.mo
@@ -61,4 +61,4 @@ share/locale/uk/LC_MESSAGES/ksystemlog.mo
 share/locale/zh_CN/LC_MESSAGES/ksystemlog.mo
 share/locale/zh_TW/LC_MESSAGES/ksystemlog.mo
 share/metainfo/org.kde.ksystemlog.appdata.xml
-share/qlogging-categories5/ksystemlog.categories
+share/qlogging-categories6/ksystemlog.categories
diff --git a/sysutils/plasma6-kde-cli-tools/pkg-plist b/sysutils/plasma6-kde-cli-tools/pkg-plist
index 2cf1d3bbffaa..7b04cffc867a 100644
--- a/sysutils/plasma6-kde-cli-tools/pkg-plist
+++ b/sysutils/plasma6-kde-cli-tools/pkg-plist
@@ -99,6 +99,7 @@ share/locale/af/LC_MESSAGES/kdesu.mo
 share/locale/af/LC_MESSAGES/kstart.mo
 share/locale/ar/LC_MESSAGES/kbroadcastnotification.mo
 share/locale/ar/LC_MESSAGES/kcm_filetypes.mo
+share/locale/ar/LC_MESSAGES/kde-inhibit.mo
 share/locale/ar/LC_MESSAGES/kdesu.mo
 share/locale/ar/LC_MESSAGES/kioclient.mo
 share/locale/ar/LC_MESSAGES/kmimetypefinder.mo
diff --git a/sysutils/plasma6-kinfocenter/pkg-plist b/sysutils/plasma6-kinfocenter/pkg-plist
index 353339007e7b..5d3323e55eaf 100644
--- a/sysutils/plasma6-kinfocenter/pkg-plist
+++ b/sysutils/plasma6-kinfocenter/pkg-plist
@@ -123,6 +123,7 @@ share/locale/da/LC_MESSAGES/kcm_about-distro.mo
 share/locale/da/LC_MESSAGES/kcm_energyinfo.mo
 share/locale/da/LC_MESSAGES/kcm_samba.mo
 share/locale/da/LC_MESSAGES/kcmusb.mo
+share/locale/da/LC_MESSAGES/kinfocenter.mo
 share/locale/de/LC_MESSAGES/kcm_about-distro.mo
 share/locale/de/LC_MESSAGES/kcm_energyinfo.mo
 share/locale/de/LC_MESSAGES/kcm_samba.mo
diff --git a/sysutils/plasma6-powerdevil/pkg-plist b/sysutils/plasma6-powerdevil/pkg-plist
index 253993f075c2..f753813aa176 100644
--- a/sysutils/plasma6-powerdevil/pkg-plist
+++ b/sysutils/plasma6-powerdevil/pkg-plist
@@ -141,6 +141,7 @@ share/locale/csb/LC_MESSAGES/plasma_runner_powerdevil.mo
 share/locale/da/LC_MESSAGES/kcm_powerdevilprofilesconfig.mo
 share/locale/da/LC_MESSAGES/libpowerdevilcommonconfig.mo
 share/locale/da/LC_MESSAGES/plasma_applet_org.kde.plasma.battery.mo
+share/locale/da/LC_MESSAGES/plasma_applet_org.kde.plasma.brightness.mo
 share/locale/da/LC_MESSAGES/plasma_runner_powerdevil.mo
 share/locale/da/LC_MESSAGES/powerdevil.mo
 share/locale/de/LC_MESSAGES/kcm_powerdevilprofilesconfig.mo
diff --git a/sysutils/signon-kwallet-extension/Makefile b/sysutils/signon-kwallet-extension/Makefile
index f59255d86bba..05fb22ac7883 100644
--- a/sysutils/signon-kwallet-extension/Makefile
+++ b/sysutils/signon-kwallet-extension/Makefile
@@ -1,19 +1,17 @@
 PORTNAME=	signon-kwallet-extension
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	sysutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KWallet integration for signon framework
 WWW=		https://projects.kde.org/projects/kde/kdenetwork/signon-kwallet-extension
 
-LIB_DEPENDS=	libsignon-qt5.so:sysutils/signond@qt5
+LIB_DEPENDS=	libsignon-qt6.so:sysutils/signond@qt6
 
-USES=		cmake compiler:c++11-lang kde:5 pkgconfig qt:5 tar:xz
+USES=		cmake compiler:c++11-lang kde:6 pkgconfig qt:6 tar:xz
 USE_KDE=	wallet \
 		ecm:build
-USE_QT=		core dbus gui \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	${KDE_PREFIX}/${SE_DIR}
 PLIST_FILES=	${SE_DIR}/libkeyring-kwallet.so
 SE_DIR=		lib/signon/extensions
diff --git a/sysutils/signon-kwallet-extension/distinfo b/sysutils/signon-kwallet-extension/distinfo
index ced7f864f344..67e3efaba7cd 100644
--- a/sysutils/signon-kwallet-extension/distinfo
+++ b/sysutils/signon-kwallet-extension/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889346
-SHA256 (KDE/release-service/23.08.5/signon-kwallet-extension-23.08.5.tar.xz) = e556caad3efde683c6a626c2aaec5ec2cb157aba1a10c7d4ea5280005fe59bfc
-SIZE (KDE/release-service/23.08.5/signon-kwallet-extension-23.08.5.tar.xz) = 11220
+TIMESTAMP = 1734460378
+SHA256 (KDE/release-service/24.12.0/signon-kwallet-extension-24.12.0.tar.xz) = aaf0ca9b42867c2a037fd983cb42720b3a87243226d5d6ed8cda7d0ce466e438
+SIZE (KDE/release-service/24.12.0/signon-kwallet-extension-24.12.0.tar.xz) = 11296
diff --git a/sysutils/sweeper/Makefile b/sysutils/sweeper/Makefile
index a09b1f0dd74b..d6213bc49a47 100644
--- a/sysutils/sweeper/Makefile
+++ b/sysutils/sweeper/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Cleans temporal files for KDE
 WWW=		https://utils.kde.org/projects/sweeper/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	activities-stats auth bookmarks codecs config configwidgets \
 		coreaddons crash i18n kio service sonnet textwidgets \
 		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/sysutils/sweeper/distinfo b/sysutils/sweeper/distinfo
index f3622d0d33b7..336d109da509 100644
--- a/sysutils/sweeper/distinfo
+++ b/sysutils/sweeper/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889353
-SHA256 (KDE/release-service/23.08.5/sweeper-23.08.5.tar.xz) = 5adf7746a4ad04d8ce7a7cca46132d7482d94cac9650663481cbdd220ed2c1d5
-SIZE (KDE/release-service/23.08.5/sweeper-23.08.5.tar.xz) = 399660
+TIMESTAMP = 1734460379
+SHA256 (KDE/release-service/24.12.0/sweeper-24.12.0.tar.xz) = 3254887c57342bdfcbb05d3160f5cae1ccbb91e4a4b56876726b16ce6e2091a2
+SIZE (KDE/release-service/24.12.0/sweeper-24.12.0.tar.xz) = 384460
diff --git a/sysutils/sweeper/pkg-plist b/sysutils/sweeper/pkg-plist
index a47aeefb35bc..54fa78f337fc 100644
--- a/sysutils/sweeper/pkg-plist
+++ b/sysutils/sweeper/pkg-plist
@@ -1,9 +1,9 @@
 bin/sweeper
 share/applications/org.kde.sweeper.desktop
 share/dbus-1/interfaces/org.kde.sweeper.xml
-share/kxmlgui5/sweeper/sweeperui.rc
 share/locale/af/LC_MESSAGES/sweeper.mo
 share/locale/ar/LC_MESSAGES/sweeper.mo
+share/locale/ast/LC_MESSAGES/sweeper.mo
 share/locale/be/LC_MESSAGES/sweeper.mo
 share/locale/bg/LC_MESSAGES/sweeper.mo
 share/locale/bn/LC_MESSAGES/sweeper.mo
@@ -81,4 +81,4 @@ share/locale/uz@cyrillic/LC_MESSAGES/sweeper.mo
 share/locale/zh_CN/LC_MESSAGES/sweeper.mo
 share/locale/zh_TW/LC_MESSAGES/sweeper.mo
 share/metainfo/org.kde.sweeper.appdata.xml
-share/qlogging-categories5/sweeper.categories
+share/qlogging-categories6/sweeper.categories
diff --git a/textproc/arianna/Makefile b/textproc/arianna/Makefile
index 28c8f082d2b3..d0fb5d755788 100644
--- a/textproc/arianna/Makefile
+++ b/textproc/arianna/Makefile
@@ -8,16 +8,12 @@ WWW=		https://apps.kde.org/arianna/
 
 LICENSE=	GPLv3
 
-BUILD_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
-RUN_DEPENDS=	kirigami-addons-qt5>=0.6.1:x11-toolkits/kirigami-addons-qt5
-
-USES=		cmake desktop-file-utils gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	archive baloo config coreaddons  dbusaddons filemetadata \
-		i18n kirigami2  qqc2-desktop-style  windowsystem \
+USES=		cmake desktop-file-utils gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	archive baloo config coreaddons dbusaddons filemetadata i18n \
+		kirigami-addons kirigami2 kquickcharts qqc2-desktop-style \
+		windowsystem \
 		ecm:build
-USE_QT=		core dbus declarative gui location network quickcontrols2 \
-		sql svg webchannel webengine websockets widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative httpserver webengine websockets
 USE_XORG=	ice sm x11 xext
 
 .include <bsd.port.mk>
diff --git a/textproc/arianna/distinfo b/textproc/arianna/distinfo
index 5720105b27d6..3766569180d5 100644
--- a/textproc/arianna/distinfo
+++ b/textproc/arianna/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889408
-SHA256 (KDE/release-service/23.08.5/arianna-23.08.5.tar.xz) = effdbba596582f90a74174e9245b49284c3081829f8ca8dd9bfd0392d028c365
-SIZE (KDE/release-service/23.08.5/arianna-23.08.5.tar.xz) = 813864
+TIMESTAMP = 1734460381
+SHA256 (KDE/release-service/24.12.0/arianna-24.12.0.tar.xz) = 36c1845b89e7cd93b9541dc7cbe4c45cd3fa5b7632428ae45fba8e5186245d9a
+SIZE (KDE/release-service/24.12.0/arianna-24.12.0.tar.xz) = 820664
diff --git a/textproc/arianna/pkg-plist b/textproc/arianna/pkg-plist
index 5823b7ee681b..13ad75568d8f 100644
--- a/textproc/arianna/pkg-plist
+++ b/textproc/arianna/pkg-plist
@@ -1,23 +1,29 @@
 bin/arianna
 share/applications/org.kde.arianna.desktop
 share/icons/hicolor/scalable/apps/org.kde.arianna.svg
+share/locale/ar/LC_MESSAGES/arianna.mo
+share/locale/ast/LC_MESSAGES/arianna.mo
 share/locale/ca/LC_MESSAGES/arianna.mo
 share/locale/ca@valencia/LC_MESSAGES/arianna.mo
 share/locale/cs/LC_MESSAGES/arianna.mo
 share/locale/de/LC_MESSAGES/arianna.mo
 share/locale/en_GB/LC_MESSAGES/arianna.mo
+share/locale/eo/LC_MESSAGES/arianna.mo
 share/locale/es/LC_MESSAGES/arianna.mo
 share/locale/eu/LC_MESSAGES/arianna.mo
 share/locale/fi/LC_MESSAGES/arianna.mo
 share/locale/fr/LC_MESSAGES/arianna.mo
 share/locale/gl/LC_MESSAGES/arianna.mo
+share/locale/he/LC_MESSAGES/arianna.mo
 share/locale/hu/LC_MESSAGES/arianna.mo
 share/locale/ia/LC_MESSAGES/arianna.mo
+share/locale/is/LC_MESSAGES/arianna.mo
 share/locale/it/LC_MESSAGES/arianna.mo
 share/locale/ja/LC_MESSAGES/arianna.mo
 share/locale/ka/LC_MESSAGES/arianna.mo
 share/locale/ko/LC_MESSAGES/arianna.mo
 share/locale/lt/LC_MESSAGES/arianna.mo
+share/locale/lv/LC_MESSAGES/arianna.mo
 share/locale/nl/LC_MESSAGES/arianna.mo
 share/locale/pl/LC_MESSAGES/arianna.mo
 share/locale/pt/LC_MESSAGES/arianna.mo
@@ -30,5 +36,6 @@ share/locale/sv/LC_MESSAGES/arianna.mo
 share/locale/tr/LC_MESSAGES/arianna.mo
 share/locale/uk/LC_MESSAGES/arianna.mo
 share/locale/zh_CN/LC_MESSAGES/arianna.mo
+share/locale/zh_TW/LC_MESSAGES/arianna.mo
 share/metainfo/org.kde.arianna.appdata.xml
-share/qlogging-categories5/arianna.categories
+share/qlogging-categories6/arianna.categories
diff --git a/textproc/kdiff3/Makefile b/textproc/kdiff3/Makefile
index cad68a94aed2..c3cbd8e33dc0 100644
--- a/textproc/kdiff3/Makefile
+++ b/textproc/kdiff3/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	kdiff3
 DISTVERSION=	1.11.5
+PORTREVISION=	1
 CATEGORIES=	textproc kde
 MASTER_SITES=	KDE/stable/${PORTNAME}
 
@@ -10,17 +11,18 @@ WWW=		https://kdiff3.sourceforge.net/
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
+BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs \
+		${LOCALBASE}/include/vulkan/vulkan.h:graphics/vulkan-headers
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		i18n jobwidgets kio service solid widgetsaddons windowsystem \
-		xmlgui \
+USES=		cmake compiler:c++11-lang gettext-tools:build kde:6 qt:6 tar:xz \
+		xorg
+USE_KDE=	config coreaddons crash i18n kio widgetsaddons xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		5compat base
 USE_XORG=	x11
 
+CMAKE_ARGS=	-DBUILD_WITH_QT6=ON
+
 DOCSDIR_REL=	share/doc/HTML
 
 OPTIONS_DEFINE=	DOCS
diff --git a/textproc/kdiff3/pkg-plist b/textproc/kdiff3/pkg-plist
index 53ab7216278f..db2239fefc6d 100644
--- a/textproc/kdiff3/pkg-plist
+++ b/textproc/kdiff3/pkg-plist
@@ -1,5 +1,5 @@
 bin/kdiff3
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/kdiff3fileitemaction.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/kdiff3fileitemaction.so
 share/applications/org.kde.kdiff3.desktop
 %%PORTDOCS%%%%DOCSDIR%%/ca/kdiff3/index.cache.bz2
 %%PORTDOCS%%%%DOCSDIR%%/ca/kdiff3/index.docbook
diff --git a/textproc/kf6-sonnet/Makefile b/textproc/kf6-sonnet/Makefile
index 43c828da73e7..6d29ada9e8ce 100644
--- a/textproc/kf6-sonnet/Makefile
+++ b/textproc/kf6-sonnet/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	sonnet
 DISTVERSION=	${KDE_FRAMEWORKS_VERSION}
+PORTREVISION=	1
 CATEGORIES=	textproc kde kde-frameworks
 
 COMMENT=	Multi-language spell checker
@@ -13,4 +14,8 @@ USE_GL=		gl opengl
 USE_KDE=	ecm:build
 USE_QT=		base declarative tools
 
+# Hsplell can be enabled, Voikko is not ported.
+CMAKE_ON=	CMAKE_DISABLE_FIND_PACKAGE_HSPELL \
+		CMAKE_DISABLE_FIND_PACKAGE_VOIKKO
+
 .include <bsd.port.mk>
diff --git a/textproc/kompare/Makefile b/textproc/kompare/Makefile
index 4bd92c337555..adfb81bcb8f4 100644
--- a/textproc/kompare/Makefile
+++ b/textproc/kompare/Makefile
@@ -7,15 +7,14 @@ COMMENT=	Diff/Patch Frontend
 
 LIB_DEPENDS=	libkomparediff2.so:textproc/libkomparediff2
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		doctools i18n iconthemes jobwidgets kio parts service \
-		solid sonnet syntaxhighlighting texteditor textwidgets widgetsaddons \
+		doctools i18n iconthemes jobwidgets kio parts service solid \
+		sonnet syntaxhighlighting texteditor textwidgets widgetsaddons \
 		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/textproc/kompare/distinfo b/textproc/kompare/distinfo
index 156105624f76..114e2fa91c2f 100644
--- a/textproc/kompare/distinfo
+++ b/textproc/kompare/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889409
-SHA256 (KDE/release-service/23.08.5/kompare-23.08.5.tar.xz) = 2cfa39708f596172ea3fb8b72a1f7ead1591fecf2e8b4b49101a6794eadf5279
-SIZE (KDE/release-service/23.08.5/kompare-23.08.5.tar.xz) = 984968
+TIMESTAMP = 1734460383
+SHA256 (KDE/release-service/24.12.0/kompare-24.12.0.tar.xz) = 232d358c1621f9638d08b37017298c3a0848a58e405056e2a034cf53f59e3976
+SIZE (KDE/release-service/24.12.0/kompare-24.12.0.tar.xz) = 959692
diff --git a/textproc/kompare/pkg-plist b/textproc/kompare/pkg-plist
index 6636d7a7b649..cbe93f6dd337 100644
--- a/textproc/kompare/pkg-plist
+++ b/textproc/kompare/pkg-plist
@@ -1,10 +1,10 @@
 bin/kompare
 include/kompare/kompareinterface.h
-lib/libkomparedialogpages.so.5
+lib/libkomparedialogpages.so.6
 lib/libkompareinterface.so
-lib/libkompareinterface.so.5
-%%QT_PLUGINDIR%%/kf5/parts/komparenavtreepart.so
-%%QT_PLUGINDIR%%/kf5/parts/komparepart.so
+lib/libkompareinterface.so.6
+%%QT_PLUGINDIR%%/kf6/parts/komparenavtreepart.so
+%%QT_PLUGINDIR%%/kf6/parts/komparepart.so
 share/applications/org.kde.kompare.desktop
 share/icons/hicolor/128x128/apps/kompare.png
 share/icons/hicolor/16x16/apps/kompare.png
@@ -36,10 +36,12 @@ share/locale/fi/LC_MESSAGES/kompare.mo
 share/locale/fr/LC_MESSAGES/kompare.mo
 share/locale/ga/LC_MESSAGES/kompare.mo
 share/locale/gl/LC_MESSAGES/kompare.mo
+share/locale/he/LC_MESSAGES/kompare.mo
 share/locale/hi/LC_MESSAGES/kompare.mo
 share/locale/hne/LC_MESSAGES/kompare.mo
 share/locale/hr/LC_MESSAGES/kompare.mo
 share/locale/hu/LC_MESSAGES/kompare.mo
+share/locale/ia/LC_MESSAGES/kompare.mo
 share/locale/is/LC_MESSAGES/kompare.mo
 share/locale/it/LC_MESSAGES/kompare.mo
 share/locale/ja/LC_MESSAGES/kompare.mo
@@ -83,4 +85,4 @@ share/locale/xh/LC_MESSAGES/kompare.mo
 share/locale/zh_CN/LC_MESSAGES/kompare.mo
 share/locale/zh_TW/LC_MESSAGES/kompare.mo
 share/metainfo/org.kde.kompare.appdata.xml
-share/qlogging-categories5/kompare.categories
+share/qlogging-categories6/kompare.categories
diff --git a/textproc/libkomparediff2/Makefile b/textproc/libkomparediff2/Makefile
index a45b375095e2..8fcbd54aa1b6 100644
--- a/textproc/libkomparediff2/Makefile
+++ b/textproc/libkomparediff2/Makefile
@@ -6,12 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Library to compare files and strings
 WWW=		https://www.kde.org
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 \
+		qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons i18n kio parts \
 		service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/textproc/libkomparediff2/distinfo b/textproc/libkomparediff2/distinfo
index fb94a2d12d8c..f0e5acc256c3 100644
--- a/textproc/libkomparediff2/distinfo
+++ b/textproc/libkomparediff2/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889408
-SHA256 (KDE/release-service/23.08.5/libkomparediff2-23.08.5.tar.xz) = d90d411dab811a84953680f08bd2408439593a98c74871d49ac1cd08aae64ad0
-SIZE (KDE/release-service/23.08.5/libkomparediff2-23.08.5.tar.xz) = 188280
+TIMESTAMP = 1734460385
+SHA256 (KDE/release-service/24.12.0/libkomparediff2-24.12.0.tar.xz) = fa729d5e8dcc3d45aa041292b21989314c2d3ec73f00ca436fe27f58000b6e79
+SIZE (KDE/release-service/24.12.0/libkomparediff2-24.12.0.tar.xz) = 188224
